Skip to main content
PATCH
/
describe
/
{job_id}
Update describe job
curl --request PATCH \
  --url https://api.cloudglue.dev/v1/describe/{job_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "use_in_default_index": true
}
'
import requests

url = "https://api.cloudglue.dev/v1/describe/{job_id}"

payload = { "use_in_default_index": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({use_in_default_index: true})
};

fetch('https://api.cloudglue.dev/v1/describe/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "job_id": "<string>",
  "url": "<string>",
  "duration_seconds": 123,
  "thumbnail_url": "<string>",
  "created_at": 123,
  "describe_config": {
    "enable_summary": true,
    "enable_speech": true,
    "enable_visual_scene_description": true,
    "enable_scene_text": true,
    "enable_audio_description": true,
    "participants": [
      {
        "name": "<string>",
        "scope": "<string>"
      }
    ]
  },
  "use_in_default_index": true,
  "data": {
    "content": "<string>",
    "title": "<string>",
    "summary": "<string>",
    "segment_summary": [
      {
        "title": "<string>",
        "summary": "<string>",
        "start_time": 123,
        "end_time": 123,
        "thumbnail_url": "<string>"
      }
    ],
    "visual_scene_description": [
      {
        "text": "<string>",
        "start_time": 123,
        "end_time": 123
      }
    ],
    "scene_text": [
      {
        "text": "<string>",
        "start_time": 123,
        "end_time": 123
      }
    ],
    "speech": [
      {
        "speaker": "<string>",
        "text": "<string>",
        "start_time": 123,
        "end_time": 123,
        "words": [
          {
            "word": "<string>",
            "start_time": 123,
            "end_time": 123
          }
        ]
      }
    ],
    "audio_description": [
      {
        "text": "<string>",
        "start_time": 123,
        "end_time": 123
      }
    ]
  },
  "error": "<string>",
  "segmentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "chapters": [
    {
      "index": 1,
      "start_time": 1,
      "end_time": 1,
      "description": "<string>"
    }
  ],
  "shots": [
    {
      "index": 1,
      "start_time": 1,
      "end_time": 1
    }
  ],
  "total_chapters": 1,
  "total_shots": 1
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string
required

The unique identifier of the description job

Body

application/json
use_in_default_index
boolean
required

When true, the video's search documents will be added to the account's default index. When false, existing default index search documents are removed.

Response

Successful response

job_id
string
required
status
enum<string>
required
Available options:
pending,
processing,
completed,
failed,
not_applicable
url
string

The URL of the processed video

duration_seconds
number

Duration of the video in seconds

thumbnail_url
string<uri>

URL of the file-level thumbnail for the video. Only present when include_thumbnails=true.

created_at
integer

Unix timestamp in milliseconds when the job was created

describe_config
object

Configuration for media description from videos

use_in_default_index
boolean

Whether this describe job's search documents are included in the default index.

data
object
error
string

Error message if status is 'failed'

segmentation_id
string<uuid>

The ID of the segmentation job if the describe was run with a segmentation

chapters
object[]

Array of narrative chapters (only present when include_chapters=true and segmentation strategy is 'narrative')

shots
object[]

Array of shot boundaries (only present when include_shots=true and segmentation strategy is 'shot-detector')

total_chapters
integer

Total number of chapters (only present when include_chapters=true and segmentation strategy is 'narrative')

Required range: x >= 0
total_shots
integer

Total number of shots (only present when include_shots=true and segmentation strategy is 'shot-detector')

Required range: x >= 0